@echo off

set TIMESTAMP_SERVER=http://timestamp.comodoca.com
set CURRENT_DATE=%date:~10,4%%date:~4,2%%date:~7,2%

echo Creating Dist Folder
mkdir dist

cd dist
echo Deploying Program
copy ..\lr87.exe 
copy ..\*.dll
copy "C:\Program Files (x86)\Simply Fortran 3\mingw-w64\x86_64-w64-mingw32\lib64\libquadmath-0.dll"
copy "C:\Program Files (x86)\Simply Fortran 3\mingw-w64\x86_64-w64-mingw32\lib64\libgcc_s_seh-1.dll"
copy ..\assets\lr87_*.png

echo Signing Code
for %%f in (*.exe) do (
    "C:\Program Files (x86)\Windows Kits\10\bin\10.0.18362.0\x64\signtool.exe" sign /a /d "LR-87 Component" /t %TIMESTAMP_SERVER% %%f
    TIMEOUT /T 10
)
for %%f in (*.dll) do (
    "C:\Program Files (x86)\Windows Kits\10\bin\10.0.18362.0\x64\signtool.exe" sign /a /d "LR-87 Component" /t %TIMESTAMP_SERVER% %%f
    TIMEOUT /T 10
)

echo Deploying Packaging
copy ..\packaging\appxmanifest.xml

echo Generating a Package Resource Index
"C:\Program Files (x86)\Windows Kits\10\bin\10.0.18362.0\x64\makepri.exe" createconfig /cf priconfig.xml /dq en-US
"C:\Program Files (x86)\Windows Kits\10\bin\10.0.18362.0\x64\makepri.exe" new /pr %cd% /cf %cd%\priconfig.xml

echo Packaging into MSIX
cd ..
"C:\Program Files (x86)\Windows Kits\10\bin\10.0.18362.0\x64\makeappx.exe" pack /v /h SHA256 /d %cd%\dist /p LR87-%CURRENT_DATE%.msix
"C:\Program Files (x86)\Windows Kits\10\bin\10.0.18362.0\x64\signtool.exe" sign /a /d "LR-87 Installer" /t %TIMESTAMP_SERVER% /fd SHA256 LR87-%CURRENT_DATE%.msix

echo Done
REM cd ..